For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
        • GETGet all unit types
        • GETGet unit type by ID
        • PUTUpdate Unit: Yardi - Not Supported
        • POSTCreate Unit: Yardi - Not Supported
        • POSTCreate Unit file: Yardi - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Units

Create Unit file: Yardi - Not Supported

POST
/v1/units/yardi/:id/file-upload/
POST
/v1/units/yardi/:id/file-upload/
$curl -X POST https://api.propexo.com/v1/units/yardi/id/file-upload/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Yardi does not support creating a unit file via their API. This endpoint will always return a 405, with an error message specifying that creating a unit file in a Yardi integration is not supported due to the lack of upstream support.
Was this page helpful?
Previous

Get all vendors

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Request

This endpoint expects an object.

Response

Successful response

Errors

400
Bad Request Error